import React from 'react';
import * as routes from './../../../constants/routes';
import { lazy } from 'react';

const LandingPage =    lazy(() => import('./../../public-components/landingPage'));
const HomePage =       lazy(() => import('./../../user-components/homePage'));
const SignInPage =     lazy(() => import('./../../../containers/auth/SignInPage'));
const SignUpPage =     lazy(() => import('./../../../containers/auth/SignUpPage'));
const CreateTestForm = lazy(() => import('./../../user-components/admin-components/createTestForm'));
const ProfilePage =    lazy(() => import('./../../user-components/profilePage'));
const CategoriesPage = lazy(() => import('./../../user-components/categoriesPage'));
const CardsPage =      lazy(() => import('./../../user-components/CardsPage'));
const NotFound =       lazy(() => import('./../../public-components/notFound'));

export default [
    {
        path: routes.LANDING,
        access: 'public',
        component: LandingPage
    },
    {
        path: routes.SIGN_IN,
        access: 'public',
        component: SignInPage
    },
    {
        path: routes.SIGN_UP,
        access: 'public',
        component: SignUpPage
    },
    {
        path: routes.HOME,
        access: 'user-only',
        component: HomePage
    },
    {
        path: routes.CATEGORIES,
        access: 'user-only',
        component: CategoriesPage
    },
    {
        path: routes.PROFILE,
        access: 'user-only',
        component: ProfilePage
    },
    {
        path: routes.TESTS,
        access: 'user-only',
        component: CardsPage
    },
    {
        access: 'public',
        component: NotFound
    },
]