import React from 'react';
import { Route, Redirect } from 'react-router-dom';

import token from '../../../utils/token'

import * as routes from './../../../constants/routes';
import PermissionDenied from './../../public-components/permissionDenied';

export default ({ component: Component, user, access, ...rest  }) => (
    <Route
        {...rest}
        render={props => {
            const storagedUser = JSON.parse(localStorage.getItem(token));
            const data = user.data || storagedUser || null;

            if (access === 'public') {
                return <Component {...props} />
            }
            
            if ( (access === 'user-only' || access === 'admin-only') && !data ) {
                return <Redirect to={routes.SIGN_IN}/>
            }
            
            if (access === 'user-only' && data) {
                return <Component {...props} />
            }        

            if (access === 'admin-only') {
                if (data.is_admin) {
                    return <Component {...props} />
                } 

                return <PermissionDenied />
            }
            
        }}
    />
)