import * as actionTypes from './../../constants';
import initialState from './../initialState';

export default function cards(state = initialState.cards, { type, payload: data, error }) {
    switch (type) {
        case actionTypes.GET_CARDS: {
            return {
                ...state,
                isFetching: true,
                data: null,
                error: null
            }
        }
        case actionTypes.GET_CARDS_SUCCESS: {
            return {
                ...state,
                isFetching: false,
                data,
                error: null
            }
        }
        case actionTypes.GET_CARDS_FAILURE: {
            return {
                ...state,
                isFetching: false,
                data: null,
                error
            }
        }
        default: {
            return state
        }
    }

}