import { put, call } from "redux-saga/effects";
import * as actions from '../../../actions/cards';
import axios from 'axios';

import { GET_CARDS_URL } from './../../../constants/index'

// worker-saga for getting cards

export default function* () {
    try {
        const payload = yield call(() =>
            axios.get(GET_CARDS_URL)
                .then(({ data }) => data)
        );

        yield put(actions.getCardsSuccess(payload));
    }
    catch ({ message }) {
        yield put(actions.getCardsFailure(message))
    }
}